This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 496241 - Send a more meaningful message to satellites if entitlements are missing instead of a SQL error.
Send a more meaningful message to satellites if entitlements are missing inst...
Status: CLOSED EOL
Product: Red Hat Network
Classification: Red Hat
Component: RHN/API (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: rhn-dev-list
Red Hat Network Quality Assurance
na
US=88125
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-17 10:01 EDT by wes hayutin
Modified: 2017-07-05 11:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wes hayutin 2009-04-17 10:01:04 EDT
Description of problem:

4/14 build

recreate
1. install satellite activate w/ 
http://svn.rhndev.redhat.com/viewcvs/trunk/pm/satellite-certs/satellite-5.3/cert.53?rev=182590&view=log

2. I have exercised multi-org on the sat, but not sure if that is necessary for the recreate


3. reactivate w/ a larger cert

http://svn.rhndev.redhat.com/viewcvs/trunk/pm/satellite-certs/satellite-5.3beta/cperry-test.cert?rev=183314&view=log


get
 

[root@dhcp77-141 ~]# rhn-satellite-activate --rhn-cert=/root/cperry-test.cert --ignore-version-mismatch
RHN_PARENT: satellite.rhn.webqa.redhat.com
Pushing scout configs to all monitoring scouts
Error reported from RHN: <Fault -2: 'unhandled internal exception: ORA-20235: (channel_family_no_subscriptions) - Channel family subscription count cannot exceed maximum membership\nORA-06512: at "RHN.RHN_EXCEPTION", line 27\nORA-06512: at "RHN.RHN_CHANNEL", line 178\nORA-06512: at line 1\n'>
ERROR: unhandled XMLRPC fault upon remote activation: <Fault -2: 'unhandled internal exception: ORA-20235: (channel_family_no_subscriptions) - Channel family subscription count cannot exceed maximum membership\nORA-06512: at "RHN.RHN_EXCEPTION", line 27\nORA-06512: at "RHN.RHN_CHANNEL", line 178\nORA-06512: at line 1\n'>

ERROR: <Fault -2: 'unhandled internal exception: ORA-20235: (channel_family_no_subscriptions) - Channel family subscription count cannot exceed maximum membership\nORA-06512: at "RHN.RHN_EXCEPTION", line 27\nORA-06512: at "RHN.RHN_CHANNEL", line 178\nORA-06512: at line 1\n'>
[root@dhcp77-141 ~]# less cert.53 




There is NO WAY channel family subscription which is less than 100 is greater than max membership of the new cert (10,000)
Comment 3 Thomas "Shea" DeAntonio 2017-07-05 11:10:12 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).
Comment 4 Thomas "Shea" DeAntonio 2017-07-05 11:11:45 EDT
As you may already be aware, Red Hat is transitioning from the Red Hat Network (RHN) hosted interface to the Red Hat Subscription Management (RHSM) interface in July 2017. Red Hat has invested in and seen success from RHN for many years, and used that experience to build more robust technologies like RHSM. 
 
If you have not yet migrated your RHN systems to RHSM or you are a Red Hat Satellite customer, please review the information from. https://access.redhat.com/products/red-hat-subscription-management#migration. 
 
Since we are shutting down RHN, no further actions will be taken with this bug or enhancement request.  You can find additional information at RHSM product page (https://access.redhat.com/products/red-hat-subscription-management).  If you have further questions, please contact support (https://access.redhat.com/products/red-hat-subscription-management#support).

Note You need to log in before you can comment on or make changes to this bug.